import Film_Manager from "../../../Film/Film_Manager";
import Progression_Manager from "../../../Progression/Progression_Manager";
import Quest_Manager from "../../../Quest/Quest_Manager";
import Raid_Manager from "../../../Raid/Raid_Manager";
import Form_Dialog_Manager from "../../Managers/Form_Dialog_Manager";
export const dialog_simone = {
    name: "Simone",
    texture: "textures/ui/dialog/humanoid_simone",
    messages: ["Hello friend!"],
    buttons: [
        {
            text: "Raid",
            async callback(player, entity) {
                const progression = Progression_Manager.get("047440b0-1c96-48e7-9185-0a3c69535629");
                if (progression.active_Task != 3) {
                    const dialog = {
                        name: dialog_simone.name,
                        texture: dialog_simone.texture,
                        messages: ["You need to complete all the quests on this island before you can unlock the raid."],
                        buttons: [
                            {
                                text: "Okay",
                                async callback(player, entity) { },
                            },
                        ],
                    };
                    Form_Dialog_Manager.show(player, dialog, 0, entity);
                }
                else {
                    const dialog = {
                        name: dialog_simone.name,
                        texture: dialog_simone.texture,
                        messages: ["Are you strong enough to fight the monsters?"],
                        buttons: [
                            {
                                text: "§aYes",
                                async callback(player, entity) {
                                    Raid_Manager.start(player.dimension.id, player.location);
                                },
                            },
                            {
                                text: "Can you show me where?",
                                async callback(player, entity) {
                                    Film_Manager.play(player, "0361089b-4c8a-4e77-9b7b-3df1b683a5e1", 0);
                                },
                            },
                            {
                                text: "§cNo",
                                async callback(player, entity) { },
                            },
                        ],
                    };
                    Form_Dialog_Manager.show(player, dialog, 0, entity);
                }
            },
        },
        {
            text: "Quest",
            async callback(player, entity) {
                Quest_Manager.dialog(player, entity, dialog_simone.name, dialog_simone.texture);
            },
        },
    ],
};
